SidBank Class Reference

`#include <SidBank.h>`

Inheritance diagram for SidBank:

## Public Member Functions

void | reset ()
uint8_t | peek (uint_least16_t addr)
void | poke (uint_least16_t addr, uint8_t data)
void | setSID (c64sid *s)
Public Member Functions inherited from Bank
virtual void | poke (uint_least16_t address, uint8_t value)=0
virtual uint8_t | peek (uint_least16_t address)=0

## Detailed Description

SID located at $D400-$D7FF, mirrored each 32 bytes

## Member Function Documentation

void SidBank::setSID | ( | c64sid * | s | ) |

inline

Set SID emulation.

Parameters

  s | the emulation

The documentation for this class was generated from the following file:

- SidBank.h